' Programming Information
' Programming Date: 
' Version: 
'
' Description:
'
' v_ are variables
' c_ are constants
' l_ are labels
' s_ are subroutines
'

' Definitions
DEFINE c_strt,$1400
DEFINE v_p1e,$1401
DEFINE v_p2e,$1402
DEFINE v_p3e,$1403
DEFINE v_p4e,$1404
DEFINE v_p5e,$1405
DEFINE v_p6e,$1406
DEFINE v_p7e,$1407
DEFINE v_p8e,$1408
DEFINE v_p9e,$1409
DEFINE v_NuWg,$1410
DEFINE c_TRUE,$1402
DEFINE v_kypr,$1403
DEFINE v_loop,$1404

' Constants
c_TRUE=1
c_strt=$0B


' Varaibles
'v_fkey=c_FLSE
	


TITLE "ST LOUIS APPROACH"
AUTHOR "montotronix"

SPRITES ON
SCREEN 2
SET CHARSET=$A000 NEW

l_StartUpScreen:
DO
 GOSUB s_DrawStartScreen
 INPUT A
LOOP UNTIL A = c_strt

l_Main:
CLS
GOSUB s_DrawPlayField
GOSUB s_DrawBoard
DO
 A = INKEY
 v_kypr = A
 GOSUB s_ProcessInput
 A = v_p1e:IF A = c_TRUE THEN:GOSUB s_MovePlane1:END IF
 A = v_p2e:IF A = c_TRUE THEN:GOSUB s_MovePlane2:END IF
 A = v_p3e:IF A = c_TRUE THEN:GOSUB s_MovePlane3:END IF
 A = v_p4e:IF A = c_TRUE THEN:GOSUB s_MovePlane4:END IF
 A = v_p5e:IF A = c_TRUE THEN:GOSUB s_MovePlane5:END IF
 A = v_p6e:IF A = c_TRUE THEN:GOSUB s_MovePlane6:END IF
 A = v_p7e:IF A = c_TRUE THEN:GOSUB s_MovePlane7:END IF
 A = v_p8e:IF A = c_TRUE THEN:GOSUB s_MovePlane8:END IF
 A = v_p9e:IF A = c_TRUE THEN:GOSUB s_MovePlane9:END IF
 GOSUB s_DrawScreen
 A = v_NuWg
LOOP UNTIL A > 3

l_End:
GOSUB s_End

GOTO l_StartUpScreen

s_DrawStartScreen:
CLS
LOCATE 5,5
PRINT "PRESS 'START'"
RETURN

s_DrawPlayField:
' This part draws the flight schedule
LOCATE 0,28:PRINT "SUCCESS:"
LOCATE 2,28:PRINT "PLANE    DST"
LOCATE 3,28:PRINT "1"
LOCATE 4,28:PRINT "2"
LOCATE 5,28:PRINT "3"
LOCATE 6,28:PRINT "4"
LOCATE 7,28:PRINT "5"
LOCATE 8,28:PRINT "6"
LOCATE 9,28:PRINT "7"
LOCATE 10,28:PRINT "8"
LOCATE 11,28:PRINT "9"
LOCATE 13,28:PRINT "INBOUND"
LOCATE 14,28:PRINT "1"
LOCATE 15,28:PRINT "2"
LOCATE 16,28:PRINT "3"
LOCATE 17,28:PRINT "4"
' This part draws the heading instrument
LOCATE 19,32:PRINT CHR$(11):RIGHT:PRINT CHR$(12):RIGHT:PRINT CHR$(13)
LOCATE 20,31:PRINT CHR$(22):LOCATE 20,35:PRINT CHR$(14)
LOCATE 21,31:PRINT CHR$(21):RIGHT:RIGHT:PRINT CHR$(42):RIGHT:RIGHT:PRINT CHR$(15)
LOCATE 22,31:PRINT CHR$(20):LOCATE 22,35:PRINT CHR$(16)
LOCATE 23,32 PRINT CHR$(19):RIGHT:PRINT CHR$(18):RIGHT:PRINT CHR$(17)
' This part draws the airspeed
LOCATE 18,28:PRINT CHR$(106)
LOCATE 19,28:PRINT CHR$(102)
LOCATE 20,28:PRINT CHR$(102)
LOCATE 21,28:PRINT CHR$(102)
LOCATE 22,28:PRINT CHR$(102)
LOCATE 23,28:PRINT CHR$(101)
' This part draws the altitude
LOCATE 18,38:PRINT CHR$(106)
LOCATE 19,38:PRINT CHR$(102)
LOCATE 20,38:PRINT CHR$(102)
LOCATE 21,38:PRINT CHR$(102)
LOCATE 22,38:PRINT CHR$(102)
LOCATE 23,38:PRINT CHR$(101)
RETURN


s_DrawBoard:
' This part draws the airspace boundary.  It has 8 doorways to other airspace boundaries.
LOCATE 1,1:PRINT CHR$(100):RIGHT:PRINT CHR$(100):RIGHT:PRINT CHR$(100)
LOCATE 1,7:v_loop = 0:FOR v_loop TO 12:PRINT CHR$(100):RIGHT:NEXT v_loop
LOCATE 1,23:PRINT CHR$(100):RIGHT:PRINT CHR$(100):RIGHT:PRINT CHR$(100)
LOCATE 2,1:PRINT CHR$(100):LOCATE 2,25:PRINT CHR$(100)
LOCATE 3,1:PRINT CHR$(100):LOCATE 3,25:PRINT CHR$(100)
v_loop = 7:FOR v_loop TO 16:LOCATE v_loop,1:PRINT CHR$(100):LOCATE v_loop,25:PRINT CHR$(100):NEXT v_loop
LOCATE 20,1:PRINT CHR$(100):LOCATE 20,25:PRINT CHR$(100)
LOCATE 21,1:PRINT CHR$(100):LOCATE 21,25:PRINT CHR$(100)
LOCATE 22,1:PRINT CHR$(100):RIGHT:PRINT CHR$(100):RIGHT:PRINT CHR$(100)
LOCATE 22,7:v_loop = 0:FOR v_loop TO 12:PRINT CHR$(100):RIGHT:NEXT v_loop
LOCATE 22,23:PRINT CHR$(100):RIGHT:PRINT CHR$(100):RIGHT:PRINT CHR$(100)
' This part draws the runway
LOCATE 9,13:PRINT CHR$(97)
LOCATE 10,13:PRINT CHR$(99)
LOCATE 11,13:PRINT CHR$(99)
LOCATE 12,13:PRINT CHR$(99)
LOCATE 13,13:PRINT CHR$(98)
' This part draws the destinations outside the airspace boundary.
LOCATE 0,4:PRINT "CHI"
LOCATE 0,20:PRINT "NYC"
LOCATE 23,4:PRINT "NWO"
LOCATE 23,20:PRINT "MIA"
LOCATE 4,0:PRINT "K":DOWN:PRINT "S":DOWN:PRINT "C"
LOCATE 17,0:PRINT "D":DOWN:PRINT "F":DOWN:PRINT "W"
LOCATE 4,26:PRINT "W":DOWN:PRINT "D":DOWN:PRINT "C"
LOCATE 17,26:PRINT "C":DOWN:PRINT "H":DOWN:PRINT "S"
RETURN


s_ProcessInput:
RETURN
s_MovePlane1:
RETURN
s_MovePlane2:
RETURN
s_MovePlane3:
RETURN
s_MovePlane4:
RETURN
s_MovePlane5:
RETURN
s_MovePlane6:
RETURN
s_MovePlane7:
RETURN
s_MovePlane8:
RETURN
s_MovePlane9:
RETURN
s_DrawScreen:
RETURN
s_End:
RETURN
 
'New Character Set for the graphix
.ORG $A000
#INCLUDE APPROACH.CHR

'End Program

'How To Compile
'5200bas {filename}.bas
'tasm -65 -b -fFF -q {filename}.asm {filename}.bin